Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

List tickets

Lists tickets with optional filtering and pagination

List tickets

get

Lists tickets with optional filtering and pagination

Authorizations
AuthorizationstringRequired

Harmony API bearer token.

Query parameters
pageinteger · min: 1OptionalDefault: 1
page_sizeinteger · min: 1 · max: 10000OptionalDefault: 25
sort_bystring · enumOptionalDefault: created_atPossible values:
sort_directionstring · enumOptionalDefault: descPossible values:
titlestring · nullableOptional
descriptionstring · nullableOptional
reporterstring[] · nullableOptional

Filter by reporter employee IDs

assigneestring[] · nullableOptional

Filter by assignee employee IDs. Use 'UNASSIGN' for unassigned

desk_idstring[] · nullableOptional
subdesk_idstring[] · nullableOptional

Filter by subdesk (team) IDs. Use 'UNASSIGN' for unassigned (main team)

tag_idsinteger[] · nullableOptional
tag_namesstring[] · nullableOptional
vip_reporterboolean · nullableOptional

Filter tickets by VIP status of the reporter employee

location_reporterstring[] · nullableOptional

Filter tickets by location of the reporter employee

auto_tag_categoriesstring[] · nullableOptional

Filter tickets by auto-tag categories

auto_tag_entitiesstring[] · nullableOptional

Filter tickets by auto-tag entities

auto_tag_symptomsstring[] · nullableOptional

Filter tickets by auto-tag symptoms

created_afterstring · date-time · nullableOptional

Filter tickets created after this datetime (inclusive)

created_beforestring · date-time · nullableOptional

Filter tickets created before this datetime (exclusive)

resolved_afterstring · date-time · nullableOptional

Filter tickets resolved after this datetime (inclusive)

resolved_beforestring · date-time · nullableOptional

Filter tickets resolved before this datetime (exclusive)

updated_afterstring · date-time · nullableOptional

Filter tickets updated after this datetime (inclusive)

updated_beforestring · date-time · nullableOptional

Filter tickets updated before this datetime (exclusive)

service_catalog_item_idsstring · uuid[] · nullableOptional

Filter tickets by service catalog item IDs

watcher_idsstring[] · nullableOptional

Filter by watcher employee IDs

Responses
200

Successful Response

application/json
total_countintegerRequired
get/api/v1/tickets/
GET /service-desk/api/v1/tickets/ HTTP/1.1
Host: api.harmony.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "items": [
    {
      "id": "text",
      "display_id": "",
      "title": "text",
      "description": "text",
      "ticket_type": "request",
      "priority": "low",
      "source": "slack",
      "status": "open",
      "reporter": "text",
      "created_by": "text",
      "assignee": "text",
      "assignee_sync_provider": "text",
      "desk_id": "text",
      "subdesk_id": "text",
      "created_at": "2026-01-01T00:00:00.000Z",
      "updated_at": "2026-01-01T00:00:00.000Z",
      "custom_fields": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "ticket_metadata": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "checklist": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "text": "text",
          "completed": false,
          "completed_by": "text",
          "completed_at": "2026-01-01T00:00:00.000Z"
        }
      ],
      "kb_resolution": {
        "answer_summary": "text",
        "sources": [
          {
            "url": "text",
            "title": "text"
          }
        ],
        "chunks_count": 1,
        "confidence": 1,
        "queried_at": "2026-01-01T00:00:00.000Z"
      },
      "ai_insights": {
        "ticket_type": "text",
        "category": "text",
        "sub_category": "text",
        "entities": [
          "text"
        ],
        "symptoms": [
          "text"
        ],
        "edge_case_tags": [
          "text"
        ],
        "required_information_fields": [
          "text"
        ],
        "solution_flow": [
          {
            "ANY_ADDITIONAL_PROPERTY": "text"
          }
        ],
        "resolution_insights": [
          "text"
        ],
        "user_request": "text",
        "user_intent": "text",
        "classified_at": "2026-01-01T00:00:00.000Z"
      },
      "workflows": [
        {
          "workflow_id": "text",
          "name": "text",
          "description": "text",
          "workflow_target": "text"
        }
      ],
      "tags": [
        {
          "id": 1,
          "desk_id": "text",
          "name": "text",
          "color": "text",
          "description": "text",
          "system_tag": true,
          "created_at": "2026-01-01T00:00:00.000Z",
          "updated_at": "2026-01-01T00:00:00.000Z"
        }
      ],
      "related_asset_ids": [
        "123e4567-e89b-12d3-a456-426614174000"
      ],
      "thread_id": "123e4567-e89b-12d3-a456-426614174000",
      "service_catalog_item_id": "123e4567-e89b-12d3-a456-426614174000",
      "survey_rating": 1,
      "resolved_at": "2026-01-01T00:00:00.000Z",
      "response_sla_deadline": "2026-01-01T00:00:00.000Z",
      "response_sla_completed_at": "2026-01-01T00:00:00.000Z",
      "resolution_sla_deadline": "2026-01-01T00:00:00.000Z",
      "resolution_sla_completed_at": "2026-01-01T00:00:00.000Z",
      "resolution_business_seconds": 1,
      "response_business_seconds": 1,
      "sla_paused_at": "2026-01-01T00:00:00.000Z",
      "sla_total_paused_business_minutes": 0,
      "itsm_sub_tickets": [
        {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      ]
    }
  ],
  "total_count": 1
}

Last updated

Was this helpful?